path: /build/build/macaroni-funtoo-race20-seed-0.20240901.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - anise install virtual-entities/base --force
  - anise i repository/mottainai-dev && anise repo disable mottainai-stable && anise
    repo update && anise install --force system/luet-devkit utils/jq utils/yq app-admin/macaronictl
    dev-util/pkgs-checker-minimal kernel/macaroni-lts-sources && eselect kernel set
    1 && anise cleanup
  - cat /etc/luet/luet.yaml && anise miner ri virtual/base virtual/sh && anise upgrade
    && anise i --force toolchain/base-extra toolchain/base-python toolchain/base-tools
    toolchain/base-tools2 toolchain/base-xorg toolchain/base-xorg2 toolchain/fonts
    toolchain/base-gtk toolchain/base-gtk2 toolchain/base-editors toolchain/xorg-base
    toolchain/base-net toolchain/base-lang toolchain/base-fs toolchain/db toolchain/base-qt
    toolchain/base-audio toolchain/base-video toolchain/base-multimedia toolchain/base-text
    toolchain/base-latex toolchain/base-multimedia2 toolchain/boot toolchain/shells
    toolchain/base-qt2 toolchain/base-gnome toolchain/base-gnome2 toolchain/portage-tools
    toolchain/base-gnome3 toolchain/release toolchain/base-net2 toolchain/nvidia toolchain/base-multimedia3
    toolchain/base-gnome4 toolchain/base-kde toolchain/tools toolchain/firmware toolchain/gnome-extra
    toolchain/x11-misc toolchain/base-kde2 toolchain/gnome-games toolchain/python-extra
    toolchain/java toolchain/emulation toolchain/base-multimedia4 toolchain/lxqt toolchain/xfce
    toolchain/base-kde3 toolchain/base-kde3 toolchain/i3 toolchain/desktop toolchain/devtools
    toolchain/base-text2 toolchain/base-kde4 toolchain/printers toolchain/x11-misc2
    toolchain/desktop2 toolchain/base-kde5 toolchain/power toolchain/office && anise
    cleanup && /usr/bin/gcc-config 1 && eselect gcc set 1 && mkdir -p /var/lib/portage
    && epro list && eval 'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome
    /etc/localtime && anise miner ri libxml2 && macaronictl env-update && eval 'locale-gen
    || true' && build-docbook-catalog && whip h eclass_db.db_fix_so perl.postinst
    && whip h qt5.qconfig_gen && whip h sgml.update_catalog && eselect rust set 1
    && eselect ruby set 1 && eselect postgresql set 13 && cd / && rm -rf /luetbuild
    && eval 'mkdir -p /run || true' && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race20
    version: "0.20240901"
    category: seed
    hidden: true
    buildtimestamp: 2024-09-01 17:06:27.45809521 +0000 UTC m=+6229.859436749
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9f2b5ff54ed894a5824015527f5a4fb4c538155ff55ffd1383a8c612a5fa6f5a
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race20
  version: "0.20240901"
  category: seed
  hidden: true
